/// <reference types="node" />
/// <reference types="i18next" />
import type { ReactElement } from 'react';
import React from 'react';
declare global {
    interface Window {
        richContentHideTooltips: boolean;
    }
}
interface Props {
    content?: string;
    tooltipOffset?: {
        x: number;
        y: number;
    };
    children: ReactElement;
    isError?: boolean;
    place?: 'top' | 'bottom' | 'left' | 'right';
    followMouse?: boolean;
    hideArrow?: boolean;
}
declare class Tooltip extends React.Component<Props> {
    static defaultProps: {
        isError: boolean;
        place: string;
        tooltipOffset: {
            x: number;
            y: number;
        };
    };
    disabled: boolean;
    mousePosition: {
        x: number;
        y: number;
    };
    timeoutId: NodeJS.Timeout;
    state: {
        tooltipVisible: boolean;
    };
    static contextType: React.Context<{
        experiments: Record<string, import("../src").Experiment>;
        isMobile: boolean;
        t?: import("i18next").TranslationFunction<any, object, string> | undefined;
        languageDir?: "rtl" | "ltr" | "auto" | undefined;
    }>;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    showTooltip: (e: MouseEvent) => void;
    onMouseMove: (e: MouseEvent) => void;
    updateTooltipPosition: () => void;
    hideTooltip: () => void;
    wrappChildrenProp: (propName: string, func: (e?: MouseEvent | undefined) => void) => {
        [x: string]: (e: any) => void;
    };
    wrapperProps: {
        [x: string]: (e: any) => void;
    };
    render(): JSX.Element;
}
export default Tooltip;
//# sourceMappingURL=Tooltip.d.ts.map