declare type Callback = (...args: any[]) => any;
export declare const simplePubsub: (initialState?: Record<string, any> | undefined) => {
    subscribe: (key: string, callback: Callback) => () => void;
    unsubscribe: (key: string, callback: Callback) => void;
    update: (key: string, newData: any, blockKey?: string | undefined) => void;
    set: (...args: [Record<string, any>] | [string, any, (string | undefined)?]) => void;
    setBlockHandler: (key: string, blockKey: string, item: any) => void;
    get: (key: string) => any;
    getBlockHandler: (key: string, blockKey?: string | undefined) => any;
    store: {
        get: (key: string) => any;
        getBlockHandler: (key: string, blockKey?: string | undefined) => any;
        update: (key: string, newData: any, blockKey?: string | undefined) => void;
        set: (...args: [Record<string, any>] | [string, any, (string | undefined)?]) => void;
        setBlockHandler: (key: string, blockKey: string, item: any) => void;
    };
    getBlockData: ({ key, blockKey, }: {
        key: string;
        blockKey?: string | undefined;
    }) => any;
    setBlockData: ({ key, blockKey, item, }: {
        key: string;
        blockKey?: string | undefined;
        item: any;
    }) => void;
    subscribeOnBlock: ({ key, blockKey, callback, }: {
        key: string;
        blockKey: string | undefined;
        callback: Callback;
    }) => () => void;
};
export declare type Pubsub = ReturnType<typeof simplePubsub>;
export declare type Store = Pubsub['store'];
export {};
//# sourceMappingURL=simplePubsub.d.ts.map