import type { InlineStyleMapperFunction } from '../types';
import { RICOS_TEXT_COLOR_TYPE, RICOS_TEXT_HIGHLIGHT_TYPE, RICOS_FONT_SIZE_TYPE, RICOS_BOLD_TYPE, RICOS_ITALIC_TYPE } from 'ricos-content';
export declare const INLINE_STYLE_TYPES: {
    "ricos-text-color": string;
    "ricos-text-highlight": string;
    "ricos-font-size": string;
};
declare type PluginConfig = Record<string, any>;
export declare type CustomInlineStyleType = keyof typeof INLINE_STYLE_TYPES | typeof RICOS_BOLD_TYPE | typeof RICOS_ITALIC_TYPE;
export declare const parseStyleByType: (style: string, type: CustomInlineStyleType) => any;
export declare const dynamicStyleParsers: {
    "ricos-text-color": (style: string, styleSelectionPredicate?: ((style: string) => boolean) | undefined) => any;
    "ricos-text-highlight": (style: string, styleSelectionPredicate?: ((style: string) => boolean) | undefined) => any;
    "ricos-font-size": (style: string) => any;
};
export declare const draftDecorationsToCss: {
    BOLD: {
        'font-weight': string;
    };
    ITALIC: {
        'font-style': string;
    };
    NOT_BOLD: {
        'font-weight': string;
    };
    NOT_ITALIC: {
        'font-style': string;
    };
};
export declare const defaultStyleFnMapper: {
    "ricos-text-color": (style: string) => {
        color: any;
    } | undefined;
    "ricos-text-highlight": (style: string) => {
        backgroundColor: any;
    } | undefined;
    "ricos-font-size": (style: string) => {
        fontSize: any;
    } | undefined;
    "ricos-bold": (style: string) => {
        fontWeight: string;
    } | undefined;
    "ricos-italic": (style: string) => {
        fontStyle: string;
    } | undefined;
};
export declare const getDynamicInlineStyleMapper: (type: CustomInlineStyleType) => InlineStyleMapperFunction<PluginConfig>;
export {};
//# sourceMappingURL=viewerUtils.d.ts.map