import type { ComponentData, BICallbacks } from '.';
import type { CSSProperties } from 'react';
import type { EditorState } from 'draft-js';
import type { OnPluginAction } from './pluginsBiCallbacksTypes';
import type { UpdateEntityFunc, ImageComponentData, VideoComponentData, FileComponentData } from 'ricos-content';
export interface Helpers extends BICallbacksForHelpers {
    openModal?: (modalProps: Record<string, unknown>) => void;
    closeModal?: () => void;
    handleFileUpload?: (file: File, updateEntity: UpdateEntityFunc<ImageComponentData | VideoComponentData | FileComponentData>) => void;
    handleFileSelection?: (index: number | undefined, multiple: boolean, updateEntity: UpdateEntityFunc<ImageComponentData[]>, removeEntity?: undefined, componentData?: ComponentData) => void;
    onVideoSelected?: (url: string, updateEntity: (metadata: Record<string, unknown>) => void) => void;
    getImageUrl?: ({ file_name }: {
        file_name: string;
    }) => string;
    [propName: string]: ((...args: any[]) => any) | undefined;
}
interface BICallbacksForHelpers extends BICallbacks {
    onPluginAdd?(pluginId: string, entryPoint: string, version?: string, contentId?: string): void;
    onPluginAddSuccess?(pluginId: string, entryPoint: string, params: any, version?: string, contentId?: string): void;
    isPreview?: () => boolean;
    onPluginAction?: OnPluginAction;
}
export declare type OnErrorFunction = (error: string) => void;
export declare type CustomStyleFn = (styles: CSSProperties) => CSSProperties;
export declare type TextToolbarType = 'inline' | 'static';
export declare type SetEditorState = (editorState: EditorState) => void;
export declare type GetEditorState = () => EditorState;
export interface EditorStyleClasses {
    editorClassName?: string;
    containerClassName?: string;
}
export declare const DOC_STYLE_TYPES: {
    P: string;
    H1: string;
    H2: string;
    H3: string;
    H4: string;
    H5: string;
    H6: string;
};
export declare const DRAFT_TO_DOC_TYPE: {
    [x: string]: string;
};
export declare const DRAFT_TO_DOC_TYPE_WITH_LISTS: {
    'ordered-list-item': string;
    'unordered-list-item': string;
};
export {};
//# sourceMappingURL=editorTypes.d.ts.map