import type { BICallbackParams } from './biCallbacksTypes';
import type { TableEventsName, TableBiCallbacksParams, TableEventsParamsMappers } from './tableBiCallbacksTypes';
import type { AddLinkData } from './commonTypes';
export declare type GenericEventsName = 'addPluginLink';
export declare type EventName = TableEventsName | GenericEventsName;
export declare type PluginEventParams = TableBiCallbacksParams;
export interface PluginsActionGenericParams extends BICallbackParams {
    plugin_id: string;
}
export interface AddPluginLinkParams extends PluginsActionGenericParams {
    params: {
        category: string;
        link?: string;
        nofollow?: boolean;
        newTab?: boolean;
        anchor?: string;
    };
}
export interface GenericParamsMappers {
    addPluginLink: AddPluginLinkParams;
}
interface EventsParamsMappers extends TableEventsParamsMappers, GenericParamsMappers {
}
export declare type OnPluginAction = <K extends keyof EventsParamsMappers>(eventName: K, params: EventsParamsMappers[K]) => void;
export declare type OnAddPluginLink = (data: AddLinkData, triggeredBy: 'TEXT' | 'IMAGE' | 'UNSUPPORTED') => void;
export {};
//# sourceMappingURL=pluginsBiCallbacksTypes.d.ts.map