"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var ricosContent=require("ricos-content"),contentStateSchema={definitions:{inlineStyleDef:{definitions:{},$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/inline-style.json",type:"object",title:"inline style",required:["offset","length","style"],properties:{offset:{$id:"#/properties/offset",type:"integer",title:"offset",default:0,min:0,examples:[0]},length:{$id:"#/properties/length",type:"integer",title:"length",default:0,min:0,examples:[4]},style:{$id:"#/properties/style",type:"string",title:"style",default:"",examples:["color4"],pattern:"^(.*)$"}}},entityRangeDef:{definitions:{},$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/entity-range.json",type:"object",title:"inline style",required:["offset","length","key"],properties:{offset:{$id:"#/properties/offset",type:"integer",title:"offset",default:0,min:0,examples:[0]},length:{$id:"#/properties/length",type:"integer",title:"length",default:0,min:0,examples:[4]},key:{$id:"#/properties/style",type:"integer",title:"key",default:"",examples:[0]}}},entityDef:{definitions:{},$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/entity-range.json",type:"object",title:"entity",required:["type","data"],properties:{type:{$id:"#/properties/type",enum:["IMAGE","VIDEO-EMBED","LINK","mention","wix-draft-plugin-image","wix-draft-plugin-link-button","wix-draft-plugin-action-button","wix-draft-plugin-video","wix-draft-plugin-gallery","wix-draft-plugin-link","wix-draft-plugin-html","wix-draft-plugin-sound-cloud","wix-draft-plugin-hashtag","wix-draft-plugin-divider","wix-draft-plugin-emoji","wix-draft-plugin-giphy","wix-draft-plugin-map","wix-draft-plugin-file-upload","wix-draft-plugin-vertical-embed","wix-draft-plugin-poll","wix-draft-plugin-link-preview","ANCHOR","wix-rich-content-plugin-table","wix-rich-content-plugin-collapsible-list","EMOJI_TYPE","ricos-plugin-custom-link"],title:"entity type",examples:["wix-draft-plugin-image"]},mutability:{$id:"#/properties/mutability",type:"string",enum:["MUTABLE","IMMUTABLE","SEGMENTED"],title:"entity mutability",examples:["IMMUTABLE"]},data:{$id:"#/properties/data",type:"object",title:"entity data"}},anyOf:[{}]},textBlockStyle:{$id:"https://wix-rich-content/text-block-style.json",title:"text block style",type:"object"}},$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/content-state-schema.json",type:"object",title:"content state",required:["blocks","entityMap","VERSION"],properties:{blocks:{$id:"#/properties/blocks",type:"array",title:"blocks",items:{$id:"#/properties/blocks/items",type:"object",title:"block",required:["key","text","type","inlineStyleRanges","entityRanges","data"],properties:{key:{$id:"#/properties/blocks/items/properties/key",type:"string",title:"block key",default:"",examples:["45qkg"],pattern:"^(.*)$"},text:{$id:"#/properties/blocks/items/properties/text",type:"string",title:"text",default:"",examples:["test"]},type:{$id:"#/properties/blocks/items/properties/type",type:"string",title:"block type",default:"",examples:["unstyled"],enum:["unstyled","header-one","header-two","header-three","header-four","header-five","header-six","unordered-list-item","ordered-list-item","blockquote","atomic","code-block","figure"]},depth:{$id:"#/properties/blocks/items/properties/depth",type:"integer",title:"depth",maximum:10,default:0,examples:[0]},inlineStyleRanges:{$id:"#/properties/blocks/items/properties/inlineStyleRanges",type:"array",title:"inline style ranges",items:{$ref:"#/definitions/inlineStyleDef"}},entityRanges:{$id:"#/properties/blocks/items/properties/entityRanges",type:"array",title:"entity ranges",default:null,items:{$ref:"#/definitions/entityRangeDef"}},data:{$id:"#/properties/blocks/items/properties/data",type:"object",title:"data",default:null}}}},entityMap:{$id:"#/properties/entityMap",type:"object",title:"entity map",patternProperties:{"[0-9]+":{$ref:"#/definitions/entityDef"}}},documentStyle:{$id:"#/properties/documentStyle",type:"object",title:"document style",default:null,properties:{headerOne:{$ref:"#/definitions/textBlockStyle"},headerTwo:{$ref:"#/definitions/textBlockStyle"},headerThree:{$ref:"#/definitions/textBlockStyle"},headerFour:{$ref:"#/definitions/textBlockStyle"},headerFive:{$ref:"#/definitions/textBlockStyle"},headerSix:{$ref:"#/definitions/textBlockStyle"},paragraph:{$ref:"#/definitions/textBlockStyle"}}},ID:{$id:"#/properties/ID",type:"string",title:"Content ID",description:"Unique identifier for content instance",default:"",examples:["9c313404-169f-438a-bb7f-26fa0f56608f"]}}},buttonSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/button-content-data-schema.json",type:"object",properties:{button:{$id:"/properties/button",type:"object",properties:{buttonTheme:{$id:"/properties/button/properties/buttonTheme",type:"number",title:"Active Button",default:"0",examples:["0","1","2","3","4"]},backgroundColor:{$id:"/properties/button/properties/backgroundColor",type:"string",title:"Background Color",default:"#0261FF",examples:["#0261FF","#ABCAFF"]},borderColor:{$id:"/properties/button/properties/borderColor",type:"string",title:"Border Color",default:"#0261FF",examples:["#0261FF","#ABCAFF"]},textColor:{$id:"/properties/button/properties/textColor",type:"string",title:"Text Color",default:"#0261FF",examples:["#0261FF","#ABCAFF"]},pickerType:{type:"string",title:"pickerType",default:""},borderRadius:{$id:"/properties/button/properties/borderRadius",type:"number",title:"Border Radius",default:"0",examples:["5","17"]},borderWidth:{$id:"/properties/button/properties/borderWidth",type:"number",title:"Border Width",default:"0",examples:["5","17"]},buttonSize:{$id:"/properties/button/properties/buttonSize",type:"string",title:"Button Size",default:"M",examples:["S","M","L","F"]},buttonText:{$id:"/properties/button/properties/buttonText",type:"string",title:"Button Text",default:"Click Me!",examples:["Click Me!"]},url:{$id:"/properties/url",type:"string",title:"url",default:"https://example-link.com/",examples:["google.com"]},target:{$id:"/properties/button/properties/target",type:"boolean",title:"target",default:"true",examples:["true","false"]},rel:{$id:"/properties/button/properties/rel",type:"boolean",title:"rel",default:"true",examples:["true","false"]}}},config:{$id:"/properties/config",type:"object",properties:{width:{$id:"/properties/config/properties/width",type:["string","number"],title:"width",default:"fit-content"},alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"alignment",default:"center",examples:["center","right","left"]}}}}},dividerSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/divider-content-data-schema.json",type:"object",properties:{type:{enum:["double","single","dashed","dotted"],title:"divider type",examples:["double","single","dashed","dotted"]},config:{type:"object",title:"configuration",properties:{size:{$id:"/properties/config/properties/size",enum:["medium","small","large"],title:"size",examples:["medium","small","large"]},alignment:{enum:["left","right","center"],title:"alignment",examples:["left","right","center"]},textWrap:{type:"string",title:"text wrap style",examples:["nowrap"]}}}},required:["type"]},gallerySchema={$id:"https://wix-rich-content/gallery-content-data-schema.json",type:"object",properties:{items:{$id:"/properties/items",type:"array",items:{$id:"/properties/items/items",type:"object",properties:{metadata:{$id:"/properties/items/items/properties/metadata",type:"object",properties:{height:{$id:"/properties/items/items/properties/metadata/properties/height",type:"integer",title:"The Height Schema ",default:0,examples:[3744]},width:{$id:"/properties/items/items/properties/metadata/properties/width",type:"integer",title:"The Width Schema ",default:0,examples:[5616]},title:{$id:"/properties/items/items/properties/metadata/properties/title",type:"string",title:"The Title Schema ",default:"",examples:["alt1"]}}},itemId:{$id:"/properties/items/items/properties/itemId",type:"string",title:"The Itemid Schema ",default:"",examples:["fdc7334a437c6d0a889a7e4520b49baf"]},url:{$id:"/properties/items/items/properties/url",type:"string",title:"The Url Schema ",default:"",examples:["8bb438_d843f0485fcb4791b160a03e5906bd29.jpg"]},selected:{$id:"/properties/items/items/properties/selected",type:"boolean",title:"The Selected Schema ",default:!1,examples:[!1]}}}},styles:{$id:"/properties/styles",type:"object",properties:{galleryLayout:{$id:"/properties/styles/properties/galleryLayout",type:"integer",title:"The Gallerylayout Schema ",default:0,examples:[1]},gallerySizeType:{$id:"/properties/styles/properties/gallerySizeType",type:"string",title:"The Gallerysizetype Schema ",default:"",examples:["px"]},gallerySizePx:{$id:"/properties/styles/properties/gallerySizePx",type:["integer","string"],title:"The Gallerysizepx Schema ",default:0,examples:[213]},oneRow:{$id:"/properties/styles/properties/oneRow",type:"boolean",title:"The Onerow Schema ",default:!1,examples:[!1,!0]},cubeRatio:{$id:"/properties/styles/properties/cubeRatio",type:["number","null","string"],title:"The Cuberatio Schema",default:0,examples:[1]},galleryThumbnailsAlignment:{$id:"/properties/styles/properties/galleryThumbnailsAlignment",type:"string",title:"The Gallerythumbnailsalignment Schema ",default:"",examples:["bottom"]},isVertical:{$id:"/properties/styles/properties/isVertical",type:"boolean",title:"The Isvertical Schema ",default:!1,examples:[!1,!0]},numberOfImagesPerRow:{$id:"/properties/styles/properties/numberOfImagesPerRow",type:["integer","null","string"],title:"The Numberofimagesperrow Schema ",default:0,examples:[!1]},imageMargin:{$id:"/properties/styles/properties/imageMargin",type:"integer",title:"The Imagemargin Schema ",default:0,examples:[6]},thumbnailSpacings:{$id:"/properties/styles/properties/thumbnailSpacings",type:"number",title:"The Thumbnailspacings Schema ",default:0,examples:[0]},cubeType:{$id:"/properties/styles/properties/cubeType",type:"string",title:"The Cubetype Schema ",default:"",examples:["fill"]},enableInfiniteScroll:{$id:"/properties/styles/properties/enableInfiniteScroll",type:["boolean","number"],title:"The Enableinfinitescroll Schema ",default:!1,examples:[!0,!1]},titlePlacement:{$id:"/properties/styles/properties/titlePlacement",type:"string",title:"The Titleplacement Schema ",default:"",examples:["SHOW_ON_HOVER"]},allowHover:{$id:"/properties/styles/properties/allowHover",type:"boolean",title:"The Allowhover Schema ",default:!1,examples:[!1,!0]},itemClick:{$id:"/properties/styles/properties/itemClick",type:"string",title:"The Itemclick Schema ",default:"",examples:["link"]},showArrows:{$id:"/properties/styles/properties/showArrows",type:"boolean",title:"The Showarrows Schema ",default:!1,examples:[!1]},gridStyle:{$id:"/properties/styles/properties/gridStyle",type:"integer",title:"The Gridstyle Schema ",default:0,examples:[1]},loveButton:{$id:"/properties/styles/properties/loveButton",type:"boolean",title:"The Lovebutton Schema ",default:!1,examples:[!1]},allowSocial:{$id:"/properties/styles/properties/allowSocial",type:"boolean",title:"The Allowsocial Schema ",default:!1,examples:[!1]},allowDownload:{$id:"/properties/styles/properties/allowDownload",type:"boolean",title:"The Allowdownload Schema ",default:!1,examples:[!1]},cubeImages:{$id:"/properties/styles/properties/cubeImages",type:"boolean",title:"The Cubeimages Schema ",default:!1,examples:[!1]},groupSize:{$id:"/properties/styles/properties/groupSize",type:"integer",title:"The Groupsize Schema ",default:0,examples:[1]},groupTypes:{$id:"/properties/styles/properties/groupTypes",type:"string",title:"The Grouptypes Schema ",default:"",examples:["1"]},fixedColumns:{$id:"/properties/styles/properties/fixedColumns",type:"integer",title:"The Fixedcolumns Schema ",default:0,examples:[0]},hasThumbnails:{$id:"/properties/styles/properties/hasThumbnails",type:"boolean",title:"The Hasthumbnails Schema ",default:!1,examples:[!1,!0]},enableScroll:{$id:"/properties/styles/properties/enableScroll",type:"boolean",title:"The Enablescroll Schema ",default:!1,examples:[!1,!0]},isGrid:{$id:"/properties/styles/properties/isGrid",type:"boolean",title:"The Isgrid Schema ",default:!1,examples:[!1,!0]},isSlider:{$id:"/properties/styles/properties/isSlider",type:"boolean",title:"The Isslider Schema ",default:!1,examples:[!1,!0]},isColumns:{$id:"/properties/styles/properties/isColumns",type:"boolean",title:"The Iscolumns Schema ",default:!1,examples:[!1,!0]},isSlideshow:{$id:"/properties/styles/properties/isSlideshow",type:"boolean",title:"The Isslideshow Schema ",default:!1,examples:[!1,!0]},cropOnlyFill:{$id:"/properties/styles/properties/cropOnlyFill",type:"boolean",title:"The Croponlyfill Schema ",default:!1,examples:[!1,!0]}}},config:{$id:"/properties/config",type:"object",properties:{alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"The Alignment Schema ",default:"",examples:["left"]},size:{$id:"/properties/config/properties/size",type:"string",title:"The Size Schema ",default:"",examples:["small"]},layout:{$id:"/properties/config/properties/layout",type:"string",title:"The Layout Schema ",default:"",examples:["small"]},spacing:{$id:"/properties/config/properties/spacing",type:"integer",title:"The Spacing Schema ",default:0,examples:[0]},key:{$id:"/properties/config/properties/key",type:"string",title:"The Key Schema ",default:"",examples:["4bp6l"]}}}},required:["items"]},fileUploadSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/file-upload-content-data-schema.json",type:"object",properties:{config:{$id:"/properties/config",type:"object",properties:{size:{$id:"/properties/config/properties/size",type:"string",title:"Size",default:"large",examples:["medium","small","large"]},alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"The Alignment Schema ",default:"center",examples:["left","right","center"]},width:{$id:"/properties/config/properties/width",type:"string",title:"The Width Schema",default:"fit-content",examples:["fit-content","100px"]}}},name:{$id:"/properties/name",type:"string",title:"The File Name Schema",default:"",examples:["landscape.jpg"]},type:{$id:"/properties/type",type:"string",title:"The File Type Schema",default:"",examples:["jpg"]},url:{$id:"/properties/url",type:"string",title:"The File URL Schema",default:"",examples:["http://example.com/landscape.jpg"]},id:{$id:"/properties/id",type:"string",title:"The File ID Schema ",default:"",examples:["d3dd72_e4310321765e48f44803b92424d5edb8"]}}},giphySchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/giphy-content-data-schema.json",type:"object",properties:{gif:{$id:"/properties/gif",type:"object",title:"Giphy Source",properties:{originalUrl:{$id:"/properties/gif/properties/originalUrl",type:"string",title:"original gif url",default:"",examples:["https://media3.giphy.com/media/5BYvjhtjsQdoyx9JT9/giphy.gif"]},stillUrl:{$id:"/properties/gif/properties/stillUrl",type:"string",title:"still gif image url",default:"",examples:["https://media3.giphy.com/media/5BYvjhtjsQdoyx9JT9/giphy_s.gif"]},height:{$id:"/properties/gif/properties/height",type:"integer",title:"gif height",default:"",examples:["50"]},width:{$id:"/properties/gif/properties/width",type:"integer",title:"gif width",default:"",examples:["50"]}}},config:{$id:"/properties/config",type:"object",properties:{size:{$id:"/properties/config/properties/size",type:"string",title:"Size",default:"large",examples:["medium","small","large"]},alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"The Alignment Schema ",default:"center",examples:["left","right","center"]}}}},required:["gif"]},htmlSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/html-content-data-schema.json",type:"object",properties:{src:{$id:"/properties/src",type:"string",title:"source URL",default:"",examples:["https://wix.com"]},srcType:{$id:"/properties/srcType",type:"string",title:"source type",default:"html",examples:["url","html"]},config:{$id:"/properties/config",type:"object",properties:{width:{$id:"/properties/config/properties/width",type:"number",title:"frame width",default:740,examples:[500]},height:{$id:"/properties/config/properties/height",type:"number",title:"frame height",default:242,examples:[200]},safe:{$id:"/properties/config/properties/safe",type:"boolean",title:"source safety",default:!1,examples:[!0]}}}},required:["src"]},imageSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/image-content-data-schema.json",type:"object",required:["src"],properties:{config:{$id:"/properties/config",type:"object",title:"configuration",properties:{size:{$id:"/properties/config/properties/size",enum:["content","small","original","fullWidth","inline"],title:"size",examples:["content","small","original","fullWidth","inline"]},alignment:{$id:"/properties/config/properties/alignment",enum:["left","right","center",""],title:"alignment",examples:["left","right","center"]},showTitle:{$id:"/properties/config/properties/showTitle",type:"boolean",title:"show title",default:!1,examples:[!0]},showDescription:{$id:"/properties/config/properties/showDescription",type:"boolean",title:"show description",default:!1,examples:[!0]},anchor:{$id:"/properties/config/properties/anchor",type:"string",title:"anchor",examples:["2jlo1"]},link:{$id:"/properties/config/properties/link",type:["object","null"],properties:{url:{$id:"/properties/config/properties/link/properties/url",type:"string",title:"URL",examples:["wix.com"]},target:{$id:"/properties/config/properties/link/properties/target",enum:["_blank","_self","_top"],title:"link target",examples:["_blank"]},rel:{$id:"/properties/config/properties/link/properties/rel",type:"string",title:"link rel",default:"noopener",examples:["nofollow","noreferrer"]}}}}},src:{$id:"/properties/src",type:["object","string","null"],properties:{id:{$id:"/properties/src/properties/id",type:"string",title:"id",examples:["8310d26374ed948918b9914ea076e411"]},original_file_name:{$id:"/properties/src/properties/original_file_name",type:"string",title:"The original file name",examples:["8bb438_b5957febd0ed45d3be9a0e91669c65b4.jpg"]},file_name:{$id:"/properties/src/properties/file_name",type:"string",title:"The file name",examples:["8bb438_b5957febd0ed45d3be9a0e91669c65b4.jpg"]},width:{$id:"/properties/src/properties/width",type:["integer","string","null"],title:"image width",default:0,examples:[1621]},height:{$id:"/properties/src/properties/height",type:["integer","string","null"],title:"image height",default:0,examples:[1081]}}},metadata:{$id:"/properties/metadata",type:"object",properties:{alt:{$id:"/properties/metadata/properties/alt",type:"string",title:"alt text",examples:["alt"]},caption:{$id:"/properties/metadata/properties/caption",type:"string",title:"Image caption",examples:["Wanted dead or alive"]}}}}},linkSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/link-content-data-schema.json",type:"object",definitions:{},properties:{href:{$id:"/properties/href",type:"string",title:"href",default:"",examples:["wix.com"]},rel:{$id:"/properties/rel",type:"string",title:"rel",default:"noopener",examples:["nofollow","noopener","noreferrer"]},target:{$id:"/properties/target",type:"string",title:"target",default:"_self",examples:["_blank","_top","_self"]},url:{$id:"/properties/url",type:"string",title:"URL",default:"",examples:["wix.com"]}}},linkPreviewSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/link-preview-content-data-schema.json",type:"object",definitions:{},properties:{config:{$id:"/properties/config",type:"object",title:"configuration",required:["link"],properties:{link:{$id:"/properties/config/properties/link",type:["object","null"],required:["url"],properties:{url:{$id:"/properties/config/properties/link/properties/url",type:"string",title:"URL",examples:["wix.com"]}}}}},title:{$id:"/properties/title",type:"string",title:"title",default:"",examples:["Free Website Builder | Create a Free Website"]},description:{$id:"/properties/description",type:"string",title:"description",default:"",examples:["Create a free website with Wix.com. Choose a stunning template and customize anything with the Wix website builder—no coding skills needed. Create yours today!"]},thumbnail_url:{$id:"/properties/thumbnail_url",type:"string",title:"thumbnail_url",default:"",examples:["https://static.wixstatic.com/media/5305c5_5f112df56dcd40a29e855baae08f19ce~mv2.jpg/v1/fill/w_600,h_315,al_c/5305c5_5f112df56dcd40a29e855baae08f19ce~mv2.jpg"]},html:{$id:"/properties/html",type:"string",title:"html",default:"",examples:["<div>Hello world!</div>"]}},required:["config","title","thumbnail_url"]},pollsSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/plugin-polls.schema.json",type:"object",properties:{config:{$id:"/properties/config",type:"object",title:"Widget Configuration",properties:{size:{$id:"/properties/config/properties/size",enum:["content","small","original","fullWidth","inline"],title:"Widget Size",examples:["content","small","original","fullWidth","inline"]},alignment:{$id:"/properties/config/properties/alignment",title:"Widget Alignment",enum:["left","right","center"],examples:["left","right","center"],default:"center"},enableVoteRole:{$id:"/properties/config/properties/enableVoteRole",title:"Enable vote roles configuration",type:"boolean",examples:["true","false"],default:"false"}}},poll:{$id:"/properties/poll",type:"object",title:"Poll data",properties:{anonymousCount:{$id:"/properties/poll/properties/anonymousCount",type:"number",title:"Poll anonymous voters count",examples:["0","10"]},count:{$id:"/properties/poll/properties/count",type:"number",title:"Poll voters count",examples:["0","10"]},createdBy:{$id:"/properties/poll/properties/createdBy",type:"string",title:"Poll creator UUID"},creatorFlag:{$id:"/properties/config/properties/creatorFlag",title:"is the current user the creator of poll",type:"boolean",examples:["true","false"]},id:{$id:"/properties/poll/properties/id",type:"string",title:"Poll unique UUID"},mediaId:{$id:"/properties/poll/properties/mediaId",$ref:"#/definitions/mediaId"},options:{$id:"/properties/poll/properties/options",type:"array",title:"Poll option list",items:{$ref:"#/definitions/pollOption"}},ownVotes:{$id:"/properties/poll/properties/ownVotes",type:"array",title:"Own votes of current user",items:{$ref:"#/definitions/pollOptionId"}},settings:{$id:"/properties/poll/properties/settings",type:"object",title:"Poll Configuration",properties:{multipleVotes:{$id:"/properties/poll/properties/settings/properties/multipleVotes",title:"Allow multiple votes per one voter",type:"boolean",examples:["true","false"],default:"false"},resultsVisibility:{$id:"/properties/poll/properties/settings/properties/resultsVisibility",title:"Who can see poll vote results",enum:["ALWAYS","VOTERS_ONLY","ONLY_ME"],examples:["ALWAYS","VOTERS_ONLY","ONLY_ME"],default:"VOTERS_ONLY"},voteRole:{$id:"/properties/poll/properties/settings/properties/voteRole",title:"Who can vote",enum:["ALL","SITE_MEMBERS"],examples:["ALL","SITE_MEMBERS"],default:"SITE_MEMBERS"},votersDisplay:{$id:"/properties/poll/properties/settings/properties/votersDisplay",title:"Display voters",type:"boolean",examples:["true","false"],default:"true"},votesDisplay:{$id:"/properties/poll/properties/settings/properties/votesDisplay",title:"Display votes",type:"boolean",examples:["true","false"],default:"true"}}},title:{$id:"/properties/poll/properties/title",type:"string",title:"Poll title",examples:["My Question?"]}}},layout:{$id:"/properties/layout",type:"object",title:"Widget Layout",properties:{poll:{$id:"/properties/layout/properties/poll",type:"object",title:"Poll Layout",properties:{type:{$id:"/properties/layout/properties/poll/properties/type",enum:["list","grid"],title:"Poll layout",examples:["list","grid"]},direction:{$id:"/properties/layout/properties/poll/properties/direction",enum:["rtl","ltr"],title:"Poll text direction",examples:["rtl","ltr"]},enableImage:{$id:"/properties/layout/properties/poll/properties/enableImage",title:"Enable poll image",type:"boolean",examples:["true","false"]}}},option:{$id:"/properties/layout/properties/option",type:"object",title:"Poll Option Layout",properties:{enableImage:{$id:"/properties/layout/properties/option/properties/enableImage",title:"Enable option image",type:"boolean",examples:["true","false"]}}}}},design:{$id:"/properties/design",type:"object",title:"Poll Design",properties:{poll:{$id:"/properties/design/properties/poll",type:"object",title:"Poll design",properties:{backgroundType:{$id:"/properties/design/properties/poll/properties/backgroundType",enum:["color","image","gradient"],title:"Poll background type",examples:["color","image","gradient"]},background:{$id:"/properties/design/properties/poll/properties/background",type:"string",title:"Poll background",examples:["#EF4538","media/2dfdd3_03c2331b19bb41108b34938edf8951dd~mv2.jpg",'{"angle":45,"start":"#EF4538","end":"#488FFE"}']},borderRadius:{$id:"/properties/design/properties/poll/properties/borderRadius",type:"number",title:"Poll border radius",default:"0",examples:["5","10"]}}},option:{$id:"/properties/design/properties/option",type:"object",title:"Poll option design",properties:{borderRadius:{$id:"/properties/design/properties/option/properties/borderRadius",type:"number",title:"Poll option border radius",default:"0",examples:["5","10"]}}}}}},required:["config","layout","design","poll"],definitions:{mediaId:{type:"string",title:"Image wix media UUID"},pollOptionId:{type:"string",title:"Poll option UUID"},userId:{type:"string",title:"Poll user UUID"},pollOption:{type:"object",title:"Poll option data",properties:{anonymousCount:{$id:"/properties/anonymousCount",type:"number",title:"Poll option anonymous voters count",examples:["0","10"]},count:{$id:"/properties/count",type:"number",title:"Poll option voters count",examples:["0","10"]},id:{$id:"/properties/id",$ref:"#/definitions/pollOptionId"},latestVoters:{$id:"#/properties/latestVoters",type:"array",title:"5 latest option voters",items:{$ref:"#/definitions/userId"}},mediaId:{$id:"/properties/mediaId",$ref:"#/definitions/mediaId"},rating:{$id:"/properties/rating",type:"number",title:"Poll option summary in percentage",examples:["0","50","75","100"]},title:{$id:"/properties/title",type:"string",title:"Poll option title",examples:["Option 1","Answer 2"]}}}}},mapSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/map-content-data-schema.json",type:"object",properties:{zoom:{$id:"/properties/zoom",type:"integer",title:"zoom value",default:"8"},config:{$id:"/properties/config",type:"object",properties:{size:{$id:"/properties/config/properties/size",type:"string",title:"Size",default:"large",examples:["medium","small","large"]},alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"The Alignment Schema ",default:"center",examples:["left","right","center"]}}}},required:[]},mentionsSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/mention-content-data-schema.json",type:"object",properties:{mention:{type:"object",title:"mention data",properties:{name:{type:"string",title:"name",examples:["Mamtak"]},slug:{type:"string",title:"mention slug",examples:["mamtak"]}},required:["name","slug"]}},required:["mention"]},soundCloudSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/sound-cloud-content-data-schema.json",type:"object",properties:{src:{$id:"/properties/src",type:"string",title:"soundcloud Source URL",default:"",examples:["https://www.youtube.com/watch?v=eqZVIiD6wSg"]},config:{$id:"/properties/config",type:"object",properties:{size:{$id:"/properties/config/properties/size",type:"string",title:"Size",default:"large",examples:["medium","small","large"]},alignment:{$id:"/properties/config/properties/alignment",type:"string",title:"The Alignment Schema ",default:"center",examples:["left","right","center"]},textWrap:{$id:"/properties/config/properties/textWrap",type:"string",title:"The Textwrap Schema ",default:"nowrap",examples:["nowrap"]}}}},required:["src"]},videoSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/video-content-data-schema.json",type:"object",properties:{src:{oneOf:[{$id:"/properties/src",type:"string",title:"Video Source URL",examples:["https://www.youtube.com/watch?v=eqZVIiD6wSg"]},{$id:"/properties/src",type:"object",properties:{pathname:{$id:"/properties/src/pathname",type:"string",title:"Video Source Pathname",examples:["video-sample/jellyfish-25-mbps-hd-hevc.mp4"]},thumbnail:{$id:"/properties/src/thumbnail",type:"object",properties:{pathname:{$id:"/properties/src/thumbnail/pathname",type:"string",title:"Video Thumbnail Pathname",examples:["media/441c23_84f5c058e5e4479ab9e626cd5560a21bf002.jpg"]},height:{$id:"/properties/src/thumbnail/height",type:"integer",title:"Video Thumbnail Height",examples:[1080]},width:{$id:"/properties/src/thumbnail/width",type:"integer",title:"Video Thumbnail Width",examples:[1920]}}}}}]},isCustomVideo:{$id:"/properties/isCustomVideo",type:"boolean",title:"Is Custom Video",default:!1},config:{$id:"/properties/config",type:"object",title:"configuration",properties:{size:{$id:"/properties/config/properties/size",enum:["content","small","fullWidth"],title:"Size",default:"large",examples:["content","small","fullWidth"]},alignment:{$id:"/properties/config/properties/alignment",enum:["left","right","center"],title:"Alignment",default:"center",examples:["left","right","center"]},textWrap:{$id:"/properties/config/properties/textWrap",type:"string",title:"Text Wrap",default:"nowrap",examples:["nowrap"]}}},duration:{$id:"/properties/duration",type:"number",title:"video duration",default:null}},required:["src"]},anchorSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/anchor-content-data-schema.json",type:"object",definitions:{},properties:{anchor:{$id:"/properties/anchor",type:"string",title:"anchor",default:"",examples:["2jlo1"]}},required:["anchor"]},tableSchema={$id:"https://wix-rich-content/table-content-data-schema.json",type:"object",properties:{config:{$id:"/properties/config",type:"object",properties:{rows:{$id:"/properties/config/properties/rows",type:"object",title:"Rows"},colsWidth:{$id:"/properties/config/properties/colsWidth",type:"array",title:"Columns width",examples:[10,10]},rowsHeight:{$id:"/properties/config/properties/rowsHeight",type:"array",title:"Rows height",examples:[47,47,47,47]},colsMinWidth:{$id:"/properties/config/properties/colsMinWidth",type:"array",title:"Columns minimum width",examples:[120,120,120]},rowHeader:{$id:"/properties/config/properties/rowHeader",type:"boolean",title:"Row header",examples:[!0]},colHeader:{$id:"/properties/config/properties/colHeader",type:"boolean",title:"Column header",examples:[!0]}}},type:{$id:"/properties/type",type:"string",title:"Type"}}},collapsibleListSchema={$id:"https://wix-rich-content/collapsible-list-content-data-schema.json",type:"object",properties:{config:{$id:"/properties/config",type:"object",properties:{expandState:{$id:"/properties/config/properties/expandState",type:"string",title:"Expand State",examples:["first_expanded","expanded","collapsed"]},expandOnlyOne:{$id:"/properties/config/properties/expandOnlyOne",type:"boolean",title:"Expand Only One",examples:[!0,!1]},textWrap:{$id:"/properties/config/properties/textWrap",type:"string",title:"Text Wrap",examples:["wrap","nowrap"]},direction:{$id:"/properties/config/properties/direction",type:["string","boolean"],title:"Direction",examples:["ltr","rtl"]}}},pairs:{$id:"/properties/pairs",type:"array"}}},varticalEmbedSchema={$schema:"http://json-schema.org/draft-07/schema#",$id:"https://wix-rich-content/vertical-embed-content-data-schema.json",type:"object",properties:{config:{type:"object",title:"configuration",properties:{}},type:{$id:"/properties/type",enum:["product","event","store","booking"],title:"vertical embed type"},selectedProduct:{$id:"/properties/selectedProduct",type:"object",title:"selected product",properties:{id:{$id:"/properties/id",type:"string",title:"vertical embed ID",default:"",examples:["265beaf5-3008-c5c2-fa5e-1447e0bebf71"]},name:{$id:"/properties/name",type:"string",title:"embed name",examples:["a mock product"]},imageSrc:{$id:"/properties/src",type:"string",title:"vertical embed image src",examples:["https://static.wixstatic.com/media/"]},html:{$id:"/properties/html",type:"string",title:"html",default:"",examples:["<div>Hello world!</div>"]}}}},required:["selectedProduct","type"]};exports.isValidEditorData=function(payload){var _getContentStateSchem;return function(data,schema){return(new(0,require("jsonschema").Validator)).validate(data,schema)}(payload,function(pluginDataSchemas){void 0===pluginDataSchemas&&(pluginDataSchemas={});var schema=contentStateSchema;return schema.definitions.entityDef.anyOf=Object.keys(pluginDataSchemas).map((function(pluginType){return{properties:{type:{const:pluginType},data:pluginDataSchemas[pluginType]}}})),schema}(((_getContentStateSchem={})[ricosContent.DIVIDER_TYPE]=dividerSchema,_getContentStateSchem[ricosContent.IMAGE_TYPE]=imageSchema,_getContentStateSchem[ricosContent.VIDEO_TYPE]=videoSchema,_getContentStateSchem[ricosContent.GIPHY_TYPE]=giphySchema,_getContentStateSchem[ricosContent.FILE_UPLOAD_TYPE]=fileUploadSchema,_getContentStateSchem[ricosContent.SOUND_CLOUD_TYPE]=soundCloudSchema,_getContentStateSchem[ricosContent.MAP_TYPE]=mapSchema,_getContentStateSchem[ricosContent.LINK_BUTTON_TYPE]=buttonSchema,_getContentStateSchem[ricosContent.ACTION_BUTTON_TYPE]=buttonSchema,_getContentStateSchem[ricosContent.HTML_TYPE]=htmlSchema,_getContentStateSchem[ricosContent.LINK_TYPE]=linkSchema,_getContentStateSchem[ricosContent.LINK_PREVIEW_TYPE]=linkPreviewSchema,_getContentStateSchem[ricosContent.POLL_TYPE]=pollsSchema,_getContentStateSchem[ricosContent.GALLERY_TYPE]=gallerySchema,_getContentStateSchem[ricosContent.MENTION_TYPE]=mentionsSchema,_getContentStateSchem.ANCHOR=anchorSchema,_getContentStateSchem[ricosContent.TABLE_TYPE]=tableSchema,_getContentStateSchem[ricosContent.COLLAPSIBLE_LIST_TYPE]=collapsibleListSchema,_getContentStateSchem[ricosContent.VERTICAL_EMBED_TYPE]=varticalEmbedSchema,_getContentStateSchem)))};
